wxWidgets: wxHeaderColumnSimple Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
wxHeaderColumnSimple Class Reference
Controls

`#include <wx/headercol.h>`

Inheritance diagram for wxHeaderColumnSimple:
[legend]

## Detailed Description

Simple container for the information about the column.

This is a concrete class implementing all wxSettableHeaderColumn class methods in a trivial way, i.e. by just storing the information in the object itself. It is used by and with wxHeaderCtrlSimple, e.g.

wxHeaderCtrlSimple * header = new wxHeaderCtrlSimple(...);
wxHeaderColumnSimple col("Title");
col.SetWidth(100);
col.SetSortable(100);
header->AppendColumn(col);

##

Library: wxCore
Category: Controls

## Public Member Functions
| wxHeaderColumnSimple (const wxString &title, int width=wxCOL_WIDTH_DEFAULT, wxAlignment align=wxALIGN_NOT, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header.
| wxHeaderColumnSimple (const wxBitmap &bitmap, int width=wxCOL_WIDTH_DEFAULT, wxAlignment align=wxALIGN_CENTER, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header.
virtual void | SetTitle (const wxString &title)
| Trivial implementations of the base class pure virtual functions.
virtual wxString | GetTitle () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetBitmap (const wxBitmap &bitmap)
| Trivial implementations of the base class pure virtual functions.
virtual wxBitmap | GetBitmap () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetWidth (int width)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetWidth () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetMinWidth (int minWidth)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetMinWidth () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetAlignment (wxAlignment align)
| Trivial implementations of the base class pure virtual functions.
virtual wxAlignment | GetAlignment () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetFlags (int flags)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetFlags () const
| Trivial implementations of the base class pure virtual functions.
virtual bool | IsSortKey () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetSortOrder (bool ascending)
| Trivial implementations of the base class pure virtual functions.
virtual bool | IsSortOrderAscending () const
| Trivial implementations of the base class pure virtual functions.
Public Member Functions inherited from wxSettableHeaderColumn
void | ChangeFlag (int flag, bool set)
| Set or clear the given flag.
void | SetFlag (int flag)
| Set the specified flag for the column.
void | ClearFlag (int flag)
| Clear the specified flag for the column.
void | ToggleFlag (int flag)
| Toggle the specified flag for the column.
virtual void | SetResizeable (bool resizable)
| Call this to enable or disable interactive resizing of the column by the user.
virtual void | SetSortable (bool sortable)
| Allow clicking the column to sort the control contents by the field in this column.
virtual void | SetReorderable (bool reorderable)
| Allow changing the column order by dragging it.
virtual void | SetHidden (bool hidden)
| Hide or show the column.
void | UnsetAsSortKey ()
| Don't use this column for sorting.
void | ToggleSortOrder ()
| Inverses the sort order.
Public Member Functions inherited from wxHeaderColumn
bool | HasFlag (int flag) const
| Return true if the specified flag is currently set for this column.
virtual bool | IsResizeable () const
| Return true if the column can be resized by the user.
virtual bool | IsSortable () const
| Returns true if the column can be clicked by user to sort the control contents by the field in this column.
virtual bool | IsReorderable () const
| Returns true if the column can be dragged by user to change its order.
virtual bool | IsHidden () const
| Returns true if the column is currently hidden.
bool | IsShown () const
| Returns true if the column is currently shown.

## Constructor & Destructor Documentation

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxString & | title,
|  | int | width = `wxCOL_WIDTH_DEFAULT`,
|  | wxAlignment | align = `wxALIGN_NOT`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS`
| ) |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxBitmap & | bitmap,
|  | int | width = `wxCOL_WIDTH_DEFAULT`,
|  | wxAlignment | align = `wxALIGN_CENTER`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS`
| ) |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

## Member Function Documentation

virtual wxAlignment wxHeaderColumnSimple::GetAlignment | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual wxBitmap wxHeaderColumnSimple::GetBitmap | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetFlags | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetMinWidth | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual wxString wxHeaderColumnSimple::GetTitle | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetWidth | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual bool wxHeaderColumnSimple::IsSortKey | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual bool wxHeaderColumnSimple::IsSortOrderAscending | ( |  | ) | const
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual void wxHeaderColumnSimple::SetAlignment | ( | wxAlignment | align | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetBitmap | ( | const wxBitmap & | bitmap | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetFlags | ( | int | flags | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetMinWidth | ( | int | minWidth | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetSortOrder | ( | bool | ascending | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetTitle | ( | const wxString & | title | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.

virtual void wxHeaderColumnSimple::SetWidth | ( | int | width | ) |
| virtual

Trivial implementations of the base class pure virtual functions.

Implements wxSettableHeaderColumn.